%define pkgname iXhash2

Summary:        SpamAssassin plugin to lookup e-mail checksums in blacklists
Name:           spamassassin-%{pkgname}
Version:        2.05
Release:        6%{?dist}
License:        ASL 2.0
Group:          Applications/Internet
URL:            http://mailfud.org/%{pkgname}/
Source0:        http://mailfud.org/%{pkgname}/%{pkgname}-%{version}.tar.gz
Source1:        spamassassin-iXhash2.eml
Patch0:         spamassassin-iXhash2-2.05-conf.patch
Requires:       spamassassin >= 3.2
Provides:       spamassassin-iXhash = 1.5.5-2
Obsoletes:      spamassassin-iXhash < 1.5.5-2
BuildRequires:  %{_bindir}/perldoc
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
iXhash2 is an unofficial improved version of the iXhash spam filter
plugin for SpamAssassin, adding async DNS lookups for performance and
removing unneeded features but fully compatible with the iXhash 1.5.5
(http://www.ixhash.net/) implementation. It computes MD5 checksums of
fragments of the body of an e-mail and compares them to those of known
spam using DNS queries to a RBL-like name server. So it works similar
to the standard plugins that use the Pyzor, Razor and DCC software
packages from within SpamAssassin.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .conf
cp -pf %{SOURCE1} iXhash2.eml

%build

%install
rm -rf $RPM_BUILD_ROOT

install -D -p -m 644 %{pkgname}.cf $RPM_BUILD_ROOT%{_sysconfdir}/mail/spamassassin/%{pkgname}.cf
touch -c -r %{pkgname}.cf.conf $RPM_BUILD_ROOT%{_sysconfdir}/mail/spamassassin/%{pkgname}.cf
install -D -p -m 644 %{pkgname}.pm $RPM_BUILD_ROOT%{perl_vendorlib}/Mail/SpamAssassin/Plugin/%{pkgname}.pm
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3/
perldoc %{pkgname}.pm > $RPM_BUILD_ROOT%{_mandir}/man3/Mail::SpamAssassin::Plugin::%{pkgname}.3pm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE README iXhash2.eml
%config(noreplace) %{_sysconfdir}/mail/spamassassin/%{pkgname}.cf
%{perl_vendorlib}/Mail/SpamAssassin/Plugin/%{pkgname}.pm
%{_mandir}/man3/*.3pm*

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.05-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Petr Pisar <ppisar@redhat.com> - 2.05-5
- Perl 5.18 rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.05-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.05-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 12 2012 Robert Scheck <robert@fedoraproject.org> 2.05-2
- Added missing perldoc requirement (#838327 #c3)

* Sun Jul 08 2012 Robert Scheck <robert@fedoraproject.org> 2.05-1
- Switched to iXhash2 2.05 (#838327)

* Fri Nov 12 2010 Robert Scheck <robert@fedoraproject.org> 1.5.5-1
- Upgrade to 1.5.5
- Initial spec file for Fedora and Red Hat Enterprise Linux
